Bug 209861 - snmpd complains when using ppp (pptpd) connections
snmpd complains when using ppp (pptpd) connections
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 20:38 EDT by Trevor Cordes
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: net-snmp-5.3.1-15.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 05:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Cordes 2006-10-06 20:38:27 EDT
Description of problem:
I just configured (server-side) pptpd for the first time.  When a client makes a
connection, snmpd starts complaining to syslog every 60 seconds:

snmpd[12228]: netsnmp_assert index == tmp failed
if-mib/data_access/interface.c:468 _access_interface_entry_save_name()
snmpd[12228]: error on subcontainer 'ia_addr' insert (-1)
snmpd[12228]: error on subcontainer '' insert (-1)

It appears to keep complaining until the connection is dropped.

I found a report on the net of the exact same thing with pppoe under debian, so
it would appear to be a general ppp thing, and not pptp-specific.  However, I
don't believe I've ever seen this with the pppoe connections I've used.

It may be related to the fact that with pptp I have specified it to use ppp5,
when there are no ppp0-ppp4 in use.  I want to leave ppp0-ppp4 open for possible
pppoe connections.

Version-Release number of selected component (if applicable):
ppp-2.4.3-6.2.1
pptpd-1.3.3-1.fc5
net-snmp-5.3-4.2

How reproducible:
always

Steps to Reproduce:
1. configure and run snmpd
2. configure and run pptpd
3. have a client connect to pptpd

Actual results:
snmpd complains in syslog

Expected results:
no complaints

Additional info:
Comment 1 Peter Bieringer 2007-01-17 17:18:07 EST
I got the same here:

Jan 17 23:10:31 server snmpd[2679]: netsnmp_assert index == tmp failed
if-mib/data_access/interface.c:467 _access_interface_entry_save_name() 

System is FC6 with
net-snmp-5.3.1-12.fc6

Message is probably triggered by a running mrtg which monitors an ippp interface.

Comment 2 Jan Safranek 2007-07-16 05:16:07 EDT
net-snmp-5.3.1-15.fc6 has been pushed for FC6, which should resolve this issue.
If these problems are still present in this version, then please make note of it
in this bug report. 

Note You need to log in before you can comment on or make changes to this bug.